%define snap	0
%define rel	1

%define major	1
%define libname	%mklibname vdpau %{major}
%define devname	%mklibname vdpau -d
%define tracename %mklibname vdpau-trace

%define build_doc 0

Summary:	Video Decode and Presentation API for Unix
Name:		libvdpau
Version:	1.5
%if %snap
Release:	%mkrel 1.%{snap}.%{rel}
%else
Release:	%mkrel %{rel}
%endif
License:	MIT
Group:		System/Libraries
URL:		http://www.nvnews.net/vbulletin/showthread.php?t=123091
%if %{snap}
# rm -rf libvdpau && git clone git://anongit.freedesktop.org/~aplattner/libvdpau && cd libvdpau/
# git archive --prefix=libvdpau-$(date +%Y%m%d)/ --format=tar HEAD | xz > ../libvdpau-$(date +%Y%m%d).tar.xz
Source0:	libvdpau-%{snap}.tar.xz
%else
#Source0:	https://people.freedesktop.org/~aplattner/vdpau/libvdpau-%{version}.tar.bz2
Source0:	https://gitlab.freedesktop.org/vdpau/libvdpau/-/archive/%{version}/libvdpau-%{version}.tar.xz
%endif
# Make flash player detection work on opera and konqueror
Patch3:         libvdpau-workaround-flashplayer-konq-opera.patch
BuildRequires:	meson
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext)
%if %{build_doc}
# for apidoc:
BuildRequires:	tetex 
BuildRequires:	graphviz 
BuildRequires:	doxygen
%endif

%description
The Video Decode and Presentation API for Unix (VDPAU) provides a
complete solution for decoding, post-processing, compositing, and
displaying compressed or uncompressed video streams. These video
streams may be combined (composited) with bitmap content, to
implement OSDs and other application user interfaces.

Only the proprietary NVIDIA driver supports this interface so far.

%package -n	%{libname}
Summary:	VDPAU shared library
Group:		System/Libraries

%description -n %{libname}
The Video Decode and Presentation API for Unix (VDPAU) wrapper shared
library. This library is responsible for loading the hardware-specific
VDPAU driver.

%package -n	%{tracename}
Summary:	VDPAU tracing module for debugging
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{tracename}
VDPAU tracing module libvdpau_trace.so for debugging VDPAU.

%package -n	%{devname}
Summary:	VDPAU development headers
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	vdpau-devel = %{version}-%{release}

%description -n %{devname}
This package contains the VDPAU headers for developing software that
uses VDPAU.

%prep
%if %{snap}
%setup -q -n %{name}-%{snap}
%else
%setup -q
%endif

%apply_patches

%build
%meson \
%if ! %{build_doc}
  -Ddocumentation=false
%endif
%meson_build 

%install
%meson_install
# (anssi) unneeded files
rm -f %{buildroot}%{_libdir}/*.la %{buildroot}%{_libdir}/vdpau/*.{la,so}

%if %{build_doc}
mv %{buildroot}%{_docdir}/libvdpau/html api-html
%endif

%files -n %{libname}
%{_libdir}/libvdpau.so.%{major}*
%dir %{_libdir}/vdpau

%files -n %{tracename}
%{_libdir}/vdpau/libvdpau_trace.so.*

%files -n %{devname}
%if %{build_doc}
%doc api-html
%endif
%config %{_sysconfdir}/vdpau_wrapper.cfg
%{_includedir}/vdpau
%{_libdir}/libvdpau.so
%{_libdir}/pkgconfig/vdpau.pc


%changelog
* Mon Apr 10 2023 tex - 1.5-1pclos2023
- new version
